OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDF

# TDF_ChildIterator Class Reference

Iterates on the children of a label, at the first
level only. It is possible to ask the iterator to
explore all the sub label levels of the given one,
with the option "allLevels".
.

`#include <TDF_ChildIterator.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDF_ChildIterator ()
| Creates an empty iterator object to explore the children of a label. .
Standard_EXPORT | TDF_ChildIterator (const TDF_Label &aLabel, const Standard_Boolean allLevels=Standard_False)
| Constructs the iterator object defined by the label aLabel. Iterates on the children of the given label. If <alllevels> option is set to true, it explores not only the first, but all the sub label levels. .
Standard_EXPORT void | Initialize (const TDF_Label &aLabel, const Standard_Boolean allLevels=Standard_False)
| Initializes the iteration on the children of the given label. If <alllevels> option is set to true, it explores not only the first, but all the sub label levels. If allLevels is false, only the first level of child labels is explored. In the example below, the label is iterated using Initialize, More and Next and its child labels dumped using TDF_Tool::Entry. Example void DumpChildren(const <br> TDF_Label& aLabel) { TDF_ChildIterator it; TCollection_AsciiString es; for (it.Initialize(aLabel,Standard_True); it.More(); it.Next()){ TDF_Tool::Entry(it.Value(),es); cout << as.ToCString() << endl; } } .
Standard_Boolean | More () const
| Returns true if a current label is found in the iteration process. .
Standard_EXPORT void | Next ()
| Move the current iteration to the next Item. .
Standard_EXPORT void | NextBrother ()
| Moves this iteration to the next brother label. A brother label is one with the same father as an initial label. Use this function when the non-empty constructor or Initialize has allLevels set to true. The result is that the iteration does not explore the children of the current label. This method is interesting only with "allLevels" behavior, because it avoids to explore the current label children. .
const TDF_Label | Value () const
| Returns the current label; or, if there is none, a null label. .
## Private Attributes
TDF_LabelNodePtr | myNode
Standard_Integer | myFirstLevel

## Constructor & Destructor Documentation

Standard_EXPORT TDF_ChildIterator::TDF_ChildIterator | ( |  | ) |

Standard_EXPORT TDF_ChildIterator::TDF_ChildIterator | ( | const TDF_Label & | aLabel,
|  | const Standard_Boolean | allLevels = `Standard_False`
| ) |

## Member Function Documentation

Standard_EXPORT void TDF_ChildIterator::Initialize | ( | const TDF_Label & | aLabel,
|  | const Standard_Boolean | allLevels = `Standard_False`
| ) |

Standard_Boolean TDF_ChildIterator::More | ( |  | ) | const`[inline]`

Standard_EXPORT void TDF_ChildIterator::Next | ( |  | ) |

Standard_EXPORT void TDF_ChildIterator::NextBrother | ( |  | ) |

void TDF_ChildIterator::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDF_ChildIterator::operator new | ( | size_t | size | ) | `[inline]`

void* TDF_ChildIterator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

const TDF_Label TDF_ChildIterator::Value | ( |  | ) | const`[inline]`

## Field Documentation

Standard_Integer TDF_ChildIterator::myFirstLevel`[private]`

TDF_LabelNodePtr TDF_ChildIterator::myNode`[private]`

The documentation for this class was generated from the following files:

- TDF_ChildIterator.hxx
- TDF_ChildIterator.lxx